Support » Plugin: Jetpack by WordPress.com » jetpack facebook connection error

  • Resolved tnsankar

    (@tnsankar)


    The Facebook connection could not be made because this account does not have access to any Pages. Facebook supports Publicize connections to Facebook Pages, but not to Facebook Profiles.

    I hope this is common error. How do I resolve this? The account I am using previously connected well. some days before I have disconnected for testing. after reconnect, it is failed. I have disabled the plugins and enabled, also upgrade the jetpack version, but I got the same error.

    I didnt get the final page window to select, instead I am getting opened the facebook page which is wrong as per your step by step. and there is no further action to do other than close the window. after this, it popup the above error immediately.

    I have tried with other page in another FB account. it is connected well. but the actual one did not connect. error seem permission to access the page. the account I am logon is full rights.

    what else should I check? The existing forum does not have any other details to troubleshoot this. what should I do next? this is page I want to connect in wordpress.com through jetpack plugins.

    https://www.facebook.com/glsindia

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Support lizkarkoski

    (@lizkarkoski)

    Hi –

    Can you tell me what your site URL is? I’d like to take a closer look at the Jetpack connection. Thanks.

    Plugin Contributor James Huff

    (@macmanx)

    Volunteer Moderator

    I do see that you’re on a very old version of both WordPress and Jetpack, which we can no longer support.

    Are you able to upgrade to WordPress 5.2.2, or at least WordPress 5.1.1? Either of these will allow you to run the latest version of Jetpack, which is 7.5.3.

    HI,

    I would like to tell, I dont know whether my theme is support or not the latest version of wordpress. However, I had problem with woocommerce update in this theme and product search did not work. I have manually cracked the query and make it work.

    unless I check the compatibility check, I couldn’t do this. I already had tried jetpack 7.0 which the version of wordpress 4.9 would support. but I had the same issue. If you want, I will update version 7 today. this version is workable with wordpress 4.9 as per your one of the previous posting I have read.

    Since this support works, I dont think, the update of wordpress. is that work?

    Thanks for your initiate.

    • This reply was modified 3 months, 3 weeks ago by tnsankar.
    Plugin Support Fotis

    (@fstat)

    Hi there,

    You need to run the latest version of Jetpack for all its features (like Publicize) to be fully working. This also means that you’ll need to update your WordPress installation to at least v.5.1.1.

    HI Fotis,

    The plugins is working with features like publicize only with latest version, is not a perfect solution for my issue. I have another FB page which works nicely with jetpack 6.3 and wordpress 4.9.

    Please read my problem context above. If the version is issue, none of the FB page should be working well.

    Am I right? If I need to update wordpress, I have to update all components like other plugins, themes to update. is the right solution for this plugin issue?

    • This reply was modified 3 months, 3 weeks ago by tnsankar.
    Plugin Contributor James Huff

    (@macmanx)

    Volunteer Moderator

    Since Jetpack is a connected service, there are some “moving parts” essentially the no longer communicate between our end and older versions of the plugin.

    As such, we cannot provide support for older versions of Jetpack.

    Ok.. Let me try update wordpress. it will take time and will be back if any issue.

    Thanks for your timely response.

    Plugin Support lizkarkoski

    (@lizkarkoski)

    That sounds like a good plan. We will be here if you have any more trouble.

Viewing 9 replies - 1 through 9 (of 9 total)
  • You must be logged in to reply to this topic.